%global srcname munkres

Summary:        A Munkres algorithm for Python
Name:           python-%{srcname}
Version:        1.1.2
Release:        3%{?dist}
License:        ASL 2.0
URL:            http://software.clapper.org/munkres/
Source0:        https://github.com/bmc/munkres/archive/release-%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

Buildarch:      noarch

%description
The Munkres module provides an implementation of the Munkres algorithm (also called the Hungarian algorithm or
the Kuhn-Munkres algorithm). The algorithm models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures out the least-cost solution, choosing
a single item from each row and column in the matrix, such that no row and no column are used more than once.

%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{srcname}
The Munkres module provides an implementation of the Munkres algorithm (also called the Hungarian algorithm or
the Kuhn-Munkres algorithm). The algorithm models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures out the least-cost solution, choosing
a single item from each row and column in the matrix, such that no row and no column are used more than once.

%prep
%autosetup -n %{srcname}-release-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE.md
%doc CHANGELOG.md README.md
%{python3_sitelib}/%{srcname}.py*
%{python3_sitelib}/%{srcname}*.egg-info
%{python3_sitelib}/__pycache__/%{srcname}*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.1.2-1
- initial build
